Package org.apache.commons.beanutils.converters

## Class ShortConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractConverter
  - - org.apache.commons.beanutils.converters.NumberConverter
    - - org.apache.commons.beanutils.converters.ShortConverter

All Implemented Interfaces:
  `Converter`

    public final class ShortConverter
    extends NumberConverter

`NumberConverter` implementation that handles conversion to and from java.lang.Short objects.

This implementation can be configured to handle conversion either by using Short's default String conversion, or by using a Locale's pattern or by specifying a format pattern. See the `NumberConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3
Version:
  $Id$

### Constructor Summary

Constructors
`ShortConverter()` Construct a java.lang.Short Converter that throws a `ConversionException` if an error occurs.
`ShortConverter​(java.lang.Object defaultValue)` Construct a java.lang.Short Converter that returns a default value if an error occurs.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Class<java.lang.Short>` `getDefaultType()` Return the default type this `Converter` handles.

### Methods inherited from class org.apache.commons.beanutils.converters.NumberConverter

`convertToString, convertToType, getLocale, getPattern, isAllowDecimals, setLocale, setPattern, setUseLocaleFormat, toString`

### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

`conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShortConverter

    public ShortConverter()

Construct a java.lang.Short Converter that throws a `ConversionException` if an error occurs.

#### ShortConverter

    public ShortConverter​(java.lang.Object defaultValue)

Construct a java.lang.Short Converter that returns a default value if an error occurs.

Parameters:
  `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

### Method Detail

#### getDefaultType

    protected java.lang.Class<java.lang.Short> getDefaultType()

Return the default type this `Converter` handles.

Specified by:
  `getDefaultType` in class `AbstractConverter`
Returns:
  The default type this `Converter` handles.
Since:
  1.8.0